<?php
add_filter('cmb_meta_boxes', 'stallion_featured_meta_post');
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function stallion_featured_meta_post(array $meta_boxes) {
// Start with an underscore to hide fields from custom fields list
$prefix = '';
$meta_boxes[] = array(
'id' => 'stallion_featured_thumbnail',
'title' => 'Stallion Featured Thumbnail Options',
'pages' => array('post'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(
array(
'name' => 'Thumbnail',
'desc' => 'Upload/Select an image to use as a Thumbnail on archive pages and/or the Featured Slideshow and the Stallion Posts Widget. Stallion uses Timthumb 2 to crop and resize images. This means you can use very large images that Stallion will generate small images saving bandwidth.',
'id' => $prefix . 'thumb',
'type' => 'file',
),
array(
'name' => 'Use in Featured Slideshow',
'desc' => 'Checking this box will add this post to the Featured Slideshow using the above image. It is recommended to use an image size appropriate for the Stallion Sidebar Layout selected under Stallion "Layout Options"<br /><br /><strong>While under Stallion "Color Options" - "Slideshow Position" set to "Below Header Main Content Width"</strong><br />410px sidebar layouts - 560px by 300px<br />310px sidebar layouts - 650px by 300px<br />255px and 165px layouts - 550px by 300px<br />Double 200px sidebar layouts - 560px by 300px<br />210px wide sidebar - 760px by 300px<br />No Sidebars layout - 970px by 300px.<br /><br /><strong>While under Stallion "Color Options" - "Slideshow Position" set to "Below Header Full Screen Width"</strong><br />All Layouts - 970px by 300px<br /><br />This feature is mobile responsive, the slideshow box fits the device window overriding the default image sizes.<br /><br />Stallion uses Timthumb to zoom/crop images, so they don`t have to be the exact sizes above, for best results use the perfect size or bigger to avoid images scaling up: for example if you always use an image at least 970px by 300px it will never scale up.<br /><br />See the Stallion "Color Options" page for more Featured Slideshow settings.',
'id' => $prefix . 'featured',
'type' => 'checkbox',
),
array(
'name' => 'Featured Posts Slideshow Overrides',
'desc' => 'Override main options (found under Stallion Theme >> Color Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'Featured Posts Slideshow',
'desc' => 'Color Options : Featured Posts Slideshow for this Post.',
'id' => $prefix . 'st_feature_slide_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Featured Posts Slideshow ON', 'value' => '3',),
array('name' => 'Featured Posts Slideshow OFF', 'value' => '0',),
),
),
array(
'name' => 'Slideshow Position',
'desc' => 'Color Options : Slideshow Position for this Post.',
'id' => $prefix . 'st_feature_slidepost_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Below Header Full Screen Width', 'value' => '1',),
array('name' => 'Below Header Main Content Width', 'value' => '2',),
),
),
array(
'name' => 'Thumbnail Archive Output Overrides',
'desc' => 'Override main options (found under Stallion Theme >> Color Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'Thumbnails',
'desc' => 'Color Options : Thumbnails for this Post on archives.',
'id' => $prefix . 'st_auto_thumbs_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Auto and Featured Thumbnails ON', 'value' => '1',),
array('name' => 'Featured Thumbnails Only ON', 'value' => '2',),
array('name' => 'Thumbnails OFF', 'value' => '0',),
),
),
array(
'name' => 'Thumbnail Sources',
'desc' => 'Color Options : Thumbnail Sources for this Post on archives.',
'id' => $prefix . 'st_auto_thumb_type_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Not Any Image - SFT, WFI, YouTube, Random Thumb (if ON)', 'value' => '2',),
array('name' => 'All Sources - SFT, WFI, YouTube, Any Image, Random Thumb (if ON)', 'value' => '1',),
array('name' => 'Not YouTube - SFT, WFI, Any Image, Random Thumb (if ON)}', 'value' => '3',),
),
),
array(
'name' => 'Thumbnails Position',
'desc' => 'Color Options : Thumbnails Position for this Post on archives.',
'id' => $prefix . 'st_auto_thumb_align_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Float Thumbnails Left', 'value' => 'alignleft',),
array('name' => 'Float Thumbnails Right', 'value' => 'alignright',),
array('name' => 'Align Center', 'value' => 'aligncenter',),
),
),
array(
'name' => 'Thumbnails Width',
'desc' => 'Color Options : Thumbnails Width for this Post on archives: Default 200.',
'id' => $prefix . 'st_auto_thumb_wid_or',
'type' => 'text',
),
array(
'name' => 'Thumbnails Height',
'desc' => 'Color Options : Thumbnails Height for this Post on archives: Default 200.',
'id' => $prefix . 'st_auto_thumb_hei_or',
'type' => 'text',
),

),
);
return $meta_boxes;
}
add_action('init', 'stallion_featured_meta_post_init', 9998);
/**
 * Initialize the metabox class.
 */
function stallion_featured_meta_post_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}
?>
<?php
add_filter('cmb_meta_boxes', 'stallion_featured_meta_page');
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function stallion_featured_meta_page(array $meta_boxes) {
// Start with an underscore to hide fields from custom fields list
$prefix = '';
$meta_boxes[] = array(
'id' => 'stallion_featured_thumbnail',
'title' => 'Stallion Featured Thumbnail Options',
'pages' => array('page'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(
array(
'name' => 'Thumbnail',
'desc' => 'Upload/Select an image to use as a Thumbnail on archive pages and/or the Featured Slideshow and the Stallion Posts Widget. Stallion uses Timthumb 2 to crop and resize images. This means you can use very large images that Stallion will generate small images saving bandwidth.',
'id' => $prefix . 'thumb',
'type' => 'file',
),
),
array(
'name' => 'Thumbnail Archive Output Overrides',
'desc' => 'Override main options (found under Stallion Theme >> Color Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'Thumbnails',
'desc' => 'Color Options : Thumbnails for this Post on archives.',
'id' => $prefix . 'st_auto_thumbs_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Auto and Featured Thumbnails ON', 'value' => '1',),
array('name' => 'Featured Thumbnails Only ON', 'value' => '2',),
array('name' => 'Thumbnails OFF', 'value' => '0',),
),
),
array(
'name' => 'Thumbnail Sources',
'desc' => 'Color Options : Thumbnail Sources for this Post on archives.',
'id' => $prefix . 'st_auto_thumb_type_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Not Any Image - SFT, WFI, YouTube, Random Thumb (if ON)', 'value' => '2',),
array('name' => 'All Sources - SFT, WFI, YouTube, Any Image, Random Thumb (if ON)', 'value' => '1',),
array('name' => 'Not YouTube - SFT, WFI, Any Image, Random Thumb (if ON)}', 'value' => '3',),
),
),
array(
'name' => 'Thumbnails Position',
'desc' => 'Color Options : Thumbnails Position for this Post on archives.',
'id' => $prefix . 'st_auto_thumb_align_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Float Thumbnails Left', 'value' => 'alignleft',),
array('name' => 'Float Thumbnails Right', 'value' => 'alignright',),
array('name' => 'Align Center', 'value' => 'aligncenter',),
),
),
array(
'name' => 'Thumbnails Width',
'desc' => 'Color Options : Thumbnails Width for this Post on archives: Default 200.',
'id' => $prefix . 'st_auto_thumb_wid_or',
'type' => 'text',
),
array(
'name' => 'Thumbnails Height',
'desc' => 'Color Options : Thumbnails Height for this Post on archives: Default 200.',
'id' => $prefix . 'st_auto_thumb_hei_or',
'type' => 'text',
),

);
return $meta_boxes;
}
add_action('init', 'stallion_featured_meta_page_init', 9998);
/**
 * Initialize the metabox class.
 */
function stallion_featured_meta_page_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}
?>
<?php
add_filter('cmb_meta_boxes', 'stallion_top_banner_meta_post');
function stallion_top_banner_meta_post(array $meta_boxes) {

$st_topbanners_array = array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Top Banners Off', 'value' => 'none',),
array('name' => 'Business', 'value' => 'business-st',),
array('name' => 'Custom 01', 'value' => 'custom-01',),
array('name' => 'Custom 02', 'value' => 'custom-02',),
array('name' => 'Custom 03', 'value' => 'custom-03',),
array('name' => 'Custom 04', 'value' => 'custom-04',),
array('name' => 'Custom 05', 'value' => 'custom-05',),
array('name' => 'Custom 06', 'value' => 'custom-06',),
array('name' => 'Custom 07', 'value' => 'custom-07',),
array('name' => 'Custom 08', 'value' => 'custom-08',),
array('name' => 'Custom 09', 'value' => 'custom-09',),
array('name' => 'Custom 10', 'value' => 'custom-10',),
);
if (function_exists('stc_child_top_banners')) {
$st_topbanners_array_ch = stc_child_top_banners();
} else {
$st_topbanners_array_ch = array(
array('name' => '', 'value' => ' ',),
);
}
$st_topbanners_result = array_merge($st_topbanners_array, $st_topbanners_array_ch);

$prefix = '';
$meta_boxes[] = array(
'id' => 'stallion_top_banner_image',
'title' => 'Stallion Top Banner Image Options',
'pages' => array('post', 'page'),
'context' => 'normal',
'priority' => 'high',
'show_names' => true,
'fields' => array(
array(
'name' => 'Top Banner Image',
'desc' => 'Upload/Select an image to use as a "Top Banner Image" for this post only and/or as a "Stallion 2011 Header Image" for this post only.<br />This image will be shown instead of a Random Top Banner Image (set under Stallion Color Options >> Top Banner Set) and/or instead of a Random Header Image (set under Stallion Color Options >> Stallion 2011 Header Image Sets). For the Top Banner Image Stallion uses Timthumb 2 to crop and resize images on the fly, this means you can use very large images that Stallion will generate small images saving bandwidth. The full size image is used as the Stallion 2011 Header image, for best results use an image with dimensions exactly 1000px wide by 288px height (works perfectly for both the banners and headers).<br /><br />Stallion includes two image media sizes that have width 1000px (generated from images at least 1000px wide).<br />large-feature: exactly 1000px by 288px, the image is resized to 1000px wide and the top and bottom cropped to 288px height (the 288px is the center of the image).<br />stallion-header: 1000px by XXXpx, the image is resized to 1000px wide, the height is reduced by the same ratio (nothing cropped: full image, but smaller), so the height is unlikely to be 288px.<br /><br />Best solution is create an image offline with dimensions 1000px x 288px and upload here.',
'id' => $prefix . 'st_meta_top_banner_post',
'type' => 'file',
),
array(
'name' => 'How to Use Image',
'desc' => 'The above image can have two uses, set as a top banner image (above main content) and/or as a 2011 header image (large 1000px by 288px image near the top of the page). The 6 selections above cover all possible uses including overriding main Stallion Options.<br /><br />1 : Use when a "Top Banner Set" is selected under "Stallion Color Options".<br />2 : Use no matter how "Top Banner Set" is set.<br />3 : Selection 1 AND use as a Stallion 2011 Header Image on this post.<br />4 : Selection 2 AND use as a Stallion 2011 Header Image on this post.<br />5 : Use as 2011 Header Image Only on this post.<br />6 : Selection 5 even when under "Appearance >> Headers : No Image Set" - you clicked the "Remove Header Image" button.<br /><br />Selections 3 and 4 result in the image being used twice (not a good idea). Note: For this feature to work perfectly please use an image with dimensions 1000px by 288px.',
'id' => $prefix . 'st_meta_top_banner_post_use',
'type' => 'select',
'options' => array(
array('name' => 'Choose How to Use Top Banner', 'value' => '',),
array('name' => '1 Use As Top Banner Only when Top Banners On', 'value' => '1',),
array('name' => '2 Use As Top Banner Only when Top Banners On or Off', 'value' => '2',),
array('name' => '3 Use As Top Banner when Top Banners On AND Use as 2011 Header Image', 'value' => '3',),
array('name' => '4 Use As Top Banner when Top Banners On or Off AND Use as 2011 Header Image', 'value' => '4',),
array('name' => '5 Use as 2011 Header Image Only', 'value' => '5',),
array('name' => '6 Use as 2011 Header Image Only when Remove Header Image Set', 'value' => '6',),
),
),
array(
'name' => 'Top Banner Set',
'desc' => 'Color Options : Top Banner Set for this Post.',
'id' => $prefix . 'st_meta_top_banners_or',
'type' => 'select',
'options' => $st_topbanners_result,
),

),
);
return $meta_boxes;
}
add_action('init', 'stallion_top_banner_meta_post_init', 9998);
function stallion_top_banner_meta_post_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}
?>
<?php function st_meta_top_banner_post_use_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_top_banner_post_use', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_top_banner_post_use', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_top_banners_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_top_banners_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_top_banners_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = stct_top_banners_set();
endif; 
return $st_metadataout;
}
?>
<?php function st_feature_slide_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_feature_slide_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_feature_slide_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_feature_slide();
endif; 
return $st_metadataout;
}
?>
<?php function st_feature_slidepost_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_feature_slidepost_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_feature_slidepost_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_feature_slidepost();
endif; 
return $st_metadataout;
}
?>
<?php function st_auto_thumbs_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_auto_thumbs_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_auto_thumbs_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_auto_thumbs();
endif; 
return $st_metadataout;
}
?>
<?php function st_auto_thumb_type_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_auto_thumb_type_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_auto_thumb_type_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_auto_thumb_type();
endif; 
return $st_metadataout;
}
?>
<?php function st_auto_thumb_align_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_auto_thumb_align_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_auto_thumb_align_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_auto_thumb_align();
endif; 
return $st_metadataout;
}
?>
<?php function st_auto_thumb_wid_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_auto_thumb_wid_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_auto_thumb_wid_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_auto_thumb_wid();
endif; 
return $st_metadataout;
}
?>
<?php function st_auto_thumb_hei_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_auto_thumb_hei_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_auto_thumb_hei_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_auto_thumb_hei();
endif; 
return $st_metadataout;
}
?>