<?php

add_filter('cmb_meta_boxes', 'stallion_aioseo_key');

/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function stallion_aioseo_key(array $meta_boxes) {
// Start with an underscore to hide fields from custom fields list
$prefix = '';
$meta_boxes[] = array(
'id' => 'stallion_aioseo_key',
'title' => 'Stallion Google Panda Buster Related Keyphrases',
'pages' => array('post', 'page'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(
array(
'name' => 'Keyphrase 1',
'desc' => 'When comments are enabled the comment heading "## responses to Title of Post" becomes "## responses to Related Keyphrase 1" when the above is set.<br />On Stallion SEO Super Comments pages the "Reply to Comment Title of Post/Page" link become "Reply to Comment Related Keyphrase 1" when the above is set. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_1',
'type' => 'text',
),
array(
'name' => 'Keyphrase 2',
'desc' => 'When comments are enabled the comment heading "Leave a reply to Title of Post" becomes "Leave a reply to Related Keyphrase 2" when the above is set.<br />On Stallion SEO Super Comments pages under More comments by Author section the first link back to the comment (which is on the original post/page) becomes "Related Keyphrase 2" when the above is set. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_2',
'type' => 'text',
),
array(
'name' => 'Keyphrase 3',
'desc' => 'When comments and Stallion SEO Super Comments are enabled, comments that meet the SEO Super Comments criteria (reasonable size comments) the link at the bottom of the comment to the SEO Super Comment will be "Related Keyphrase 3" when the above is set and no Comment title is set.<br />On Stallion SEO Super Comments pages under More comments by Author section the second Continue Reading link back to the comment (which is on the original post/page) becomes "Related Keyphrase 3" when the above is set. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_3',
'type' => 'text',
),
array(
'name' => 'Keyphrase 4',
'desc' => 'When you use the <a href="http://stallion-theme.co.uk/wordpress-seo-plugins/" target="_blank">Stallion Related Posts Plugin</a> the "Related Articles to Title of Post" heading will becomes "Related Articles to Related Keyphrase 4" when the above is set.<br /><br />All Four Google Panda Buster Keyphrases are used as Title Tags and H1 Headers when under Stallion > SEO Advanced Options : Paged Comments Title Tags ON is set and a post has paged comments. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_4',
'type' => 'text',
),
),
);
return $meta_boxes;
}

add_action('init', 'stallion_aioseo_key_init', 9999);

/**
 * Initialize the metabox class.
 */
function stallion_aioseo_key_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}

?>