<?php
/*
Template Name: Custom Page Template One Widget Area as Content
*/

## This is an example page template for using the custom widget areas.
## Within the file you will find this code:
/*
<?php if (is_active_sidebar('template-one-widget-area')) : ?>
<div id="template-one-widget-area" class="sidebar-box">
<?php dynamic_sidebar('template-one-widget-area'); ?>
</div>
<?php endif; ?>
*/

## The first line checks if the widget area "template-one-widget-area" has any widgets,
## not much point adding a widget area if it's empty. The last line including "endif"
## is part of this check.
## The div and /div lines are HTML code for styling (so the right font sizes etc... for a widget are used)
## and the code "dynamic_sidebar('template-one-widget-area');" is what actually loads the widget area.
## To use this in another page template file you would copy the five lines of code to where ever you wanted
## the widget to load. If you wanted one of the other custom widget areas change the 3 instances of
## "template-one-widget-area" to "template-two-widget-area" or "template-three-widget-area"...
## and whatever is added to that custom widget area will load on that page template.
## This file is the only Stallion page template to use one of the custom widget areas,
## they are for your use in new page templates or to add to existing template files: up to you.
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
?>
<?php get_header(); ?>

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '1') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '1' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php if (is_active_sidebar('st-below-head2-widget-area') && st_meta_belowhead2() != '0') : ?>
<div class="stfullwidget widget-area">
<div class="sidebar-box">
<?php dynamic_sidebar('st-below-head2-widget-area'); ?>
</div></div>
<?php endif; ?>

<div id="content_all">
<div id="maincontent">

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '2') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '2' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php get_template_part( 'layout/landscape-images' ); ?>

<?php if (is_active_sidebar('banner-widget-area') && st_meta_bannerwidget() != '0') : ?><div id="banner_widget" class="sidebar-box">
<?php dynamic_sidebar('banner-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<div id="post-entry">
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
<div class="post-meta" id="post-<?php the_ID(); ?>">

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_ON--><?php } ?>
<?php get_template_part( 'layout/link_h1_self' ); ?>

<?php if (st_meta_date_area_ors() == '1') { ?><?php get_template_part( 'layout/meta_date_area_page' ); ?><?php } ?>

<div class="post-content">
<?php if (st_social_network_ors() == '1') { ?><?php get_template_part( 'plugins/social-network' ); ?><?php } ?>
<?php if (st_kontera_on() == '1') { ?><div class="KonaBody"><?php } ?>

<?php if (is_active_sidebar('content-widget-area') && st_meta_contentwidget() != '0') : ?>
<div id="content_widget" class="sidebar-box <?php echo st_content_widget_align_ors(); ?>">
<?php dynamic_sidebar('content-widget-area'); ?>
</div><?php endif; ?>

<?php get_template_part( 'ad_includes/adsense_con1' ); ?>
<?php get_template_part( 'ad_includes/chitika_con1' ); ?>
<?php global $cpage; if (!empty($cpage) && $cpage >= '1' && st_comment_paged_excerpt() == '1') { ?><?php the_excerpt(); ?>
<p class="clear"><?php echo st_lang_continue(); ?> <a class="contread" href="<?php the_permalink() ?><?php if (st_seo_plus() == '1') { ?>#contread<?php } ?>"><?php if (st_comment_paged_titles() == '1') : ?><?php st_paged_comments_titles(); ?><?php else : ?><?php the_title(); ?><?php endif; ?></a></p>
<?php } else { ?><?php the_content(); } ?>

<?php /* template-one-widget-area start */ ?>
<?php if (is_active_sidebar('template-one-widget-area')) : ?>
<div id="template-one-widget-area" class="sidebar-box">
<?php dynamic_sidebar('template-one-widget-area'); ?>
</div>
<?php endif; ?>
<?php /* template-one-widget-area end */ ?>

<?php wp_link_pages(array('before' => '<div class="wp-pagenavi"><span>' . __('Pages:', 'stalliontheme') . '</span>', 'after' => '</div>')); ?>

<?php get_template_part( 'ad_includes/adsense_lnk6' ); ?>

<?php if (st_post_tags_ors() <= '1') { ?><p class="tags"><?php the_tags(); ?></p><?php } ?>

<div class="clear"></div>
<?php if (st_kontera_on() == '1') { ?></div><?php } ?>

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>

<?php if (st_social_network_ors() == '2') { ?><?php get_template_part( 'plugins/social-network' ); ?>
<div class="clear"></div><?php } ?>

<?php if (st_author_bio_ors() == '1' && empty($cpage)) { ?><?php get_template_part( 'layout/author-bio' ); ?><?php } ?>

<?php if (is_active_sidebar('bottom-content-widget-area') && st_meta_bottomcontentwidget() != '0') : ?>
<div id="bottom-content-widget" class="sidebar-box">
<?php dynamic_sidebar('bottom-content-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

</div>

<?php if (st_meta_date_area_ors() == '2') { ?><?php get_template_part( 'layout/meta_date_area_page' ); ?><?php } ?>

</div>
<?php get_template_part( 'ad_includes/chitika_con6' ); ?>
<?php endwhile; ?>
<?php if (comments_open()): ?>
<?php comments_template('', true); ?>
<?php endif; ?>

<?php get_template_part( 'ad_includes/chitika_con4' ); ?>

<?php if (!is_front_page()) { ?><?php if (function_exists('related_posts')) { ?>
<div class="post-meta"><div class="post-content">
<h3><?php echo st_lang_strelart(); ?> <?php if (get_post_meta($post->ID, '_aioseop_kw_4', true)): ?><?php echo get_post_meta($post->ID, '_aioseop_kw_4', true) ?><?php else : ?><?php the_title(); ?><?php endif; ?></h3>
<?php related_posts(); ?>
</div></div><?php } ?>

<?php if (function_exists('echo_ald_crp')) { ?>
<div class="post-meta"><div class="post-content">
<h3><?php echo st_lang_strelart(); ?> <?php if (get_post_meta($post->ID, '_aioseop_kw_4', true)): ?><?php echo get_post_meta($post->ID, '_aioseop_kw_4', true) ?><?php else : ?><?php the_title(); ?><?php endif; ?></h3>
<?php echo_ald_crp(); ?>
</div></div><?php } ?><?php } ?>

<?php get_template_part( 'ad_includes/chitika_con3' ); ?>
<?php get_template_part( 'ad_includes/adsense_con3' ); ?>
<?php get_template_part( 'ad_includes/adsense_lnk4' ); ?>
<div class="divpadding"></div>

<?php else: ?>

<h1>Sorry The Page Has Been Removed</h1>

<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>