<?php

/*
  Plugin Name: Stallion Taxonomy Meta Box
  Plugin URI: http://en.bainternet.info
  Description: Tax meta class usage demo
  Version: 1.8.5
  Author: Bainternet, Ohad Raz
  Author URI: http://en.bainternet.info
 */

//include the main class file
require_once("tax-meta-class/tax-meta-class.php");
if (is_admin()) {
$prefix = 'st_';
$config = array(
'id' => 'stallion_tax_meta_box', // meta box id, unique per meta box
'title' => 'Taxonomy Meta Box', // meta box title
'pages' => array('category', 'post_tag'), // taxonomy name, accept categories, post_tag and custom taxonomies
'context' => 'normal', // where the meta box appear: normal (default), advanced, side; optional
'fields' => array(), // list of meta fields (can be added by field arrays)
'local_images' => false, // Use local or hosted images (meta box images for add/remove)
'use_with_theme' => true  //change path if used with theme set to true, false for a plugin or anything else for a custom path(default false).
);

/* Initiate your meta box */
$my_meta = new Tax_Meta_Class($config);

/* Add fields to your meta box */

$my_meta->addTextarea($prefix.'tax_seo_description',array('name'=> '<h4>Google Panda Buster Settings</h4><strong>SEO Category/Tag Description</strong><br />The WordPress default description (above) is flawed and NOT used by Stallion, leave it blank and use this one which accepts HTML code (links and formatting for example). Content shown at the top of Category/Tags.'));
/* Add Taxonomy Keyphrase - Replaces Category anchor text */
$my_meta->addText($prefix . 'tax_keyphrase_1', array('name' => '<strong>Google Panda Buster Keyphrase 1</strong><br />Replaces title element and H1 header on Categories/Tags archives on pages 2, 7, 12, 17 and 22. Replaces category link Anchor Text on various page types.'));
$my_meta->addText($prefix . 'tax_keyphrase_2', array('name' => '<strong>Google Panda Buster Keyphrase 2</strong><br />Replaces title element and H1 header on Categories/Tags archives on pages 3, 8, 13, 18 and 23. Replaces category link Anchor Text on various page types.'));
$my_meta->addText($prefix . 'tax_keyphrase_3', array('name' => '<strong>Google Panda Buster Keyphrase 3</strong><br />Replaces title element and H1 header on Categories/Tags archives on pages 4, 9, 14, 19 and 24. Replaces category link Anchor Text on various page types.'));
$my_meta->addText($prefix . 'tax_keyphrase_4', array('name' => '<strong>Google Panda Buster Keyphrase 4</strong><br />Replaces title element and H1 header on Categories/Tags archives on pages 5, 10, 15, 20 and 25. Replaces category link Anchor Text on various page types.'));
$my_meta->addTextarea($prefix.'tax_seo_meta_description',array('name'=> '<strong>Meta Description Tag</strong><br />Add a meta description for this taxonomy, DO NOT add HTML code, just plain text.'));
$my_meta->addText($prefix.'tax_seo_meta_key',array('name'=> '<strong>Meta Keywords Tag</strong><br />Add a comma separated list of meta keywords for this taxonomy, DO NOT add HTML code, just plain text: Note Google ignores this, waste of time.'));
$my_meta->addText($prefix.'tax_og_title',array('name'=> '<h4>Open Graph Meta Data</h4><strong>Open Graph Title</strong><br />Add the title Facebook, Google+ etc... uses when sharing this archive.'));
$my_meta->addTextarea($prefix.'tax_og_description',array('name'=> '<strong>Open Graph Description</strong><br />Add a description Facebook, Google+ etc... uses when sharing this archive.'));
$my_meta->addText($prefix.'tax_og_image',array('name'=> '<strong>Open Graph Image</strong><br />Add an image Facebook, Google+ etc... uses when sharing this archive.'));

//text field  $my_meta->addText($prefix.'text_field_id',array('name'=> 'My Text '));
//textarea field  $my_meta->addTextarea($prefix.'textarea_field_id',array('name'=> 'My Textarea '));
//checkbox field  $my_meta->addCheckbox($prefix.'checkbox_field_id',array('name'=> 'My Checkbox '));
//select field  $my_meta->addSelect($prefix.'select_field_id',array('selectkey1'=>'Select Value1','selectkey2'=>'Select Value2'),array('name'=> 'My select ', 'std'=> array('selectkey2')));
//radio field  $my_meta->addRadio($prefix.'radio_field_id',array('radiokey1'=>'Radio Value1','radiokey2'=>'Radio Value2'),array('name'=> 'My Radio Filed', 'std'=> array('radionkey2')));
//date field  $my_meta->addDate($prefix.'date_field_id',array('name'=> 'My Date '));
//Time field  $my_meta->addTime($prefix.'time_field_id',array('name'=> 'My Time '));
//Color field  $my_meta->addColor($prefix.'color_field_id',array('name'=> 'My Color '));
//Image field  $my_meta->addImage($prefix.'image_field_id',array('name'=> 'My Image '));
//file upload field  $my_meta->addFile($prefix.'file_field_id',array('name'=> 'My File '));
//wysiwyg field  $my_meta->addWysiwyg($prefix.'wysiwyg_field_id',array('name'=> 'My wysiwyg Editor '));
//taxonomy field  $my_meta->addTaxonomy($prefix.'taxonomy_field_id',array('taxonomy' => 'category'),array('name'=> 'My Taxonomy '));
//posts field  $my_meta->addPosts($prefix.'posts_field_id',array('args' => array('post_type' => 'page')),array('name'=> 'My Posts '));

/* To Create a repeater Block first create an array of fields
  use the same functions as above but add true as a last param */

#  $repeater_fields[] = $my_meta->addText($prefix.'re_text_field_id',array('name'=> 'My Text '),true);
#  $repeater_fields[] = $my_meta->addTextarea($prefix.'re_textarea_field_id',array('name'=> 'My Textarea '),true);
#  $repeater_fields[] = $my_meta->addCheckbox($prefix.'re_checkbox_field_id',array('name'=> 'My Checkbox '),true);
#  $repeater_fields[] = $my_meta->addImage($prefix.'image_field_id',array('name'=> 'My Image '),true);

/* Then just add the fields to the repeater block */
//repeater block
#$my_meta->addRepeaterBlock($prefix.'re_',array('inline' => true, 'name' => 'This is a Repeater Block','fields' => $repeater_fields));

/* Don't Forget to Close up the meta box deceleration */
//Finish Meta Box Deceleration
$my_meta->Finish();
}