<?php
function str_admin_enqueue_scripts( $hook_suffix ) {
wp_enqueue_style( 'farbtastic' );
wp_admin_css( 'dashboard' );
wp_enqueue_style( 'drtc-theme-colors', get_template_directory_uri() . '/plugins/colors_css/theme-colors.css', false, '2011-04-28' );
wp_enqueue_script( 'drtc-theme-colors', get_template_directory_uri() . '/plugins/colors_css/theme-colors.js', array( 'farbtastic' ), '2011-06-10' );
wp_enqueue_script( 'dashboard' );
}
add_action( 'admin_print_styles-appearance_page_theme_colors', 'str_admin_enqueue_scripts' );

function str_theme_colors_init() {
if ( false === str_get_theme_colors() )
add_option( 'str_theme_colors_child', str_get_default_theme_colors() );

register_setting(
'str_colors',
'str_theme_colors_child',
'str_theme_colors_validate'
);
}
add_action( 'admin_init', 'str_theme_colors_init' );

/* Add our theme colors page to the admin menu */
function str_theme_colors_add_page() {
$color_page = add_theme_page(
__( 'Stallion Color Scheme CSS File Creator', 'stallion' ),
__( 'Color Scheme CSS File Creator', 'stallion' ),
'edit_theme_options',
'theme_colors',
'theme_colors_render_page'
);
}
add_action( 'admin_menu', 'str_theme_colors_add_page' );

get_template_part( 'plugins/colors_css/colors_css_array_creator' );

/**
 * Returns the default colors.
 * @since 8.0
 */
function str_get_default_theme_colors() {
$defaults = array(
"color-1" => '',
"css-1" => '',
"css-2" => '',
"theme-name-1" => '',
"theme-name-2" => '',
);
return $defaults;
}

function theme_colors_render_page() {
?>
<div class="wrap">
<?php screen_icon(); ?>
<br />
<div class='postbox-container' style='width:750px;'>
<div class="postbox" >
<div class="handlediv" title="Click to toggle"><br /></div><h2 class='hndle'><span>&nbsp;&nbsp;Stallion Responsive Color Scheme CSS File Creator</span></h2>
<div class="inside">
<p>Please note this is a web developer feature, it should NOT be used on a live production site for extended periods of time, it's very resource intensive: the code for this feature is around 5,000 lines and adds the entire color css file (around 900 lines of CSS rules) inline for testing. After creating a new color scheme CSS file (and Hard Copy), turn it off and use your new color scheme.</p>
<p>If you aren't already using the <a href="http://stallion-theme.co.uk/stallion-responsive-child-theme/" target="_blank">Free Stallion Responsive Child Theme</a> I strongly suggest installing and activating it BEFORE using this feature. Upon clicking a "Save Changes" button below two files are automatically created. If you only run the main Stallion Responsive Theme (no child theme) the two files overwrite the original files under "/wp-content/themes/stallion-responsive/colors/" and "/wp-content/themes/stallion-responsive/mydefaults/css/". If you make a mess of a color scheme you won't have the original files to work from.</p>
<p>When the Child Theme is active the files are saved to "/wp-content/themes/stallion-responsive-child/colors/" and "/wp-content/themes/stallion-responsive-child/mydefaults/css/". If you make a mess you can delete those files via FTP and start again.</p>
<p><strong>Feature Summary:</strong> Create a unique color scheme using the settings below, either save as the same name as a built in color scheme or use the two filenames style-custom-01.css and stallion_color_css_custom-01.php (see the options below), disable this feature under "Stallion Theme > Color Options : Color Scheme CSS Inline/File Creator Selector", use your new custom color under "Stallion Theme > Color Options" or "Stallion Theme > Child Options".</p>
<p>For more detail instructions scroll to the very bottom of this page.</p>
<?php settings_errors(); ?>
</div>
</div>
</div>
<form method="post" action="options.php">
<?php
settings_fields( 'str_colors' );
$settings = str_get_theme_colors();
 global $color_options;
$color_scheme = 'dark';
$style = "";
?>

<div class='postbox-container' style='width:750px;'>
<?php 
$color_options = st_color_options();
foreach ($color_options as $value) {
$default="";
switch ( $value['type'] ) {

case "section":
?>

<div class="postbox<?php echo $style; ?>">
<div class="handlediv" title="Click to toggle">
<br>
</div>
<h3 class="hndle"><span><?php echo $value['name']; ?></span></h3>
<h3 class="hndle"><span><?php echo $value['desc']; ?></span></h3>
<div class="inside">

<?php break; ?>
<?php $style=""; ?>
<?php case "color": ?>
<?php $id=$value['id']; ?>
<?php $swatch='swatch-' .$value['index']; ?>
<?php $picker='colorPickerDiv-' .$value['index']; ?>
<?php $color_default=( 'dark' == $color_scheme )? $value['dark'] : $value['light']; ?>
<?php $theme_color = ( $settings[$id] ) ? $settings[$id] : $color_default; ?>
<fieldset>
<label for="str_theme_colors_child[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<input type="text" name="str_theme_colors_child[<?php echo $id;?>]" id="<?php echo $id;?>" style="width:80px;" maxlength="7" value="<?php echo $theme_color; ?>" />
<a href="#" class="pickcolor color-swatch" style="background: <?php echo $theme_color; ?>;" name="<?php echo $value['index']; ?>" id="<?php echo $swatch;?>"></a>
<input type="button" class="pickcolor color-button hide-if-no-js" style="margin-right:20px;" name="<?php echo $value['index']; ?>" value="<?php esc_attr_e( 'Select a Color', 'stallion' ); ?>" />
<input type="button" class="defaultcolor color-button" name="<?php echo $value['index']; ?>" title="<?php echo $color_default; ?>" value="<?php esc_attr_e( 'Reset to', 'stallion' ); ?>" />
<a href="#" class="defaultcolor color-swatch" name="<?php echo $value['index']; ?>" title="<?php echo $color_default; ?>" style="background: <?php echo $color_default; ?>;"></a>
<div id="<?php echo $picker;?>" style="z-index: 100; background:#eee; border:1px solid #ccc; position:absolute; display:none;"></div>
</fieldset>
<?php break; ?>
<?php case "textarea": ?>
<?php $id=$value['id']; ?>
<fieldset>
<label for="str_theme_colors_child[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<textarea name="str_theme_colors_child[<?php echo $value["id"]; ?>]" cols="1" rows="1" ><?php if ( isset( $settings[$id] ) && $settings[$id] ) { echo $settings[$id] ; } else { echo $value['default']; } ?></textarea><?php echo $value['desc'];?><br /><br />
<div class="clearfix"></div>
</fieldset>
<?php break; ?>
<?php case "text": ?>
<?php $id=$value['id']; ?>
<fieldset>
<label for="str_theme_colors_child[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<input type="text" name="str_theme_colors_child[<?php echo $value["id"]; ?>]" id="str_theme_colors_child[<?php echo $value["id"]; ?>]" value="<?php if ( isset( $settings[$id] ) && $settings[$id] ) { echo $settings[$id] ; } else { echo $value['default']; } ?>" style="width:500px;" />
<br /><?php echo $value['desc'];?><br /><br />
<div class="clearfix"></div>
</fieldset>
<?php break; ?>
<?php case "blank": break; ?>
<?php case "infobox": ?>
<span><?php echo $value['desc']; ?></span>
<div class="clearfix"></div>
<?php break; ?>
<?php case "close": ?>
<?php submit_button(); ?>
</div>
</div>
<?php break; } } ?>
<div class="postbox<?php echo $style; ?>" >
<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span>CSS Backup Rules For Hard Copy</span></h3>
<div class="inside">
<p>Below is an advanced web developer option for saving a hard copy of your color selections for future editing or if they are awesome sending to me for adding to a future release of Stallion Responsive :-). Since v8.1 the backup PHP file saving is automatic upon clicking the "Save Changes" buttons, the file is saved to "/wp-content/themes/stallion-responsive-child/mydefaults/css/" (if the child theme is active) or "/wp-content/themes/stallion-responsive/mydefaults/css/" (if only parent theme is active). I've left the copy info below in case your server permissions (755 should work) aren't set to save in the folders above. So you can still create the file manually by copying the code below etc...</p>
<p>Note: if you are running Stallion without the child theme be aware clicking Save will overwrite the original color CSS file and it's backup PHP file if you are editing a built in color scheme. I strongly suggest installing the free child theme, when the child theme is active the CSS file and PHP file is saved to the child theme folder, so if you mess up you will still have the original files.</p>
<p>Creating a hard copy backup is optional, but highly recommended, without the backup you can only work with one color selection set (the options you set above) per site and if you change the settings to create a new color CSS file you won't have an easy way to edit your previously generated CSS files and would have to manually add the color selections again!</p>
<p>Under the main "Stallion Color Options" you will find a dropdown setting "Create Child Theme Color Defaults" which loads a backup of the built in Stallion Responsive color schemes for use on this page.</p>
<p>There are 5 Custom slots (20 with the <a href="http://stallion-theme.co.uk/stallion-responsive-child-theme/" target="_blank">Free Stallion Responsive Child Theme</a>) for adding your own backups by copying the code generated below into files "stallion_color_css_custom-**.php" (these file do not exist, create them: since v8.1 that can be automated, just add stallion_color_css_custom-**.php to the "Theme Filename Backup" form above) within the Stallion Responsive theme folder under "/wp-content/themes/stallion-responsive/mydefaults/css/" or the child theme folder "/wp-content/themes/stallion-responsive-child/mydefaults/css/".</p>
<p>It's really easy to create a backup for future use. Create your new color selections above and click "Save Changes" (don't forget to make a color CSS file as described earlier so you can use the new colors on a live site). You will find the new color codes are loaded below, copy everything that's <strong style="color:#0000FF;">BLUE</strong> from and including <strong style="color:#0000FF;">&lt;?php /* Copy Start */ ?&gt; to ....... &lt;?php /* Copy End */ ?&gt;</strong> and paste it into one of the "stallion_color_css_custom-**.php" files (start with "stallion_color_css_custom-01.php"). Save the file and upload to "/wp-content/themes/stallion-responsive/mydefaults/css/" (can also upload to the same folder in a child theme: adding to a child theme will mean Stallion Responsive updates won't delete your custom files).</p>
<p>The relevant dropdown "Custom **" selection will load those colors on this page for further editing and creation of color CSS files. Note: if you load a backup and make changes that you want in the backup file copy the new code below over the old code within the relevant "stallion_color_css_custom-**.php" file or if it's a new color scheme use one of the unused Custom files.</p>
<div style="color:#0000FF; padding-left: 20px;">
<?php
$options1 = get_option('str_theme_colors_child');
echo '&lt;?php /* Copy Start */ ?&gt;'."<br />";
echo '&lt;?php /* Stallion Responsive Color Backup */ ?&gt;'."<br />";
echo '&lt;?php $user = themeID(); if ($user != null) : ?&gt;'."<br />";
echo '&lt;?php function st_css_stallion_defaults() {'."<br />";
echo '$st_css_colors1 = get_option(\'str_theme_colors_child\');'."<br />";
echo '## Background Colors ##'."<br />";
echo '$st_css_colors1[\'color-1\'] = \''. $options1['color-1'].'\'; # Outer Gradient 1'."<br />";
echo '$st_css_colors1[\'color-2\'] = \''. $options1['color-2'].'\'; # Outer Gradient 2'."<br />";
echo '$st_css_colors1[\'color-5\'] = \''. $options1['color-5'].'\'; # Inner Gradient 1'."<br />";
echo '$st_css_colors1[\'color-6\'] = \''. $options1['color-6'].'\'; # Inner Gradient 2'."<br />";
echo '## Header Area ##'."<br />";
echo '$st_css_colors1[\'color-29\'] = \''. $options1['color-29'].'\'; # Head Background'."<br />";
echo '$st_css_colors1[\'color-30\'] = \''. $options1['color-30'].'\'; # Head Top and Bottom Border'."<br />";
#echo '$st_css_colors1[\'color-31\'] = \''. $options1['color-31'].'\'; # Head Left and Right Border'."<br />";
echo '$st_css_colors1[\'color-32\'] = \''. $options1['color-32'].'\'; # Body Text Color (generally not used)'."<br />";
echo '$st_css_colors1[\'color-35\'] = \''. $options1['color-35'].'\'; # Head Home Link Anchor Text'."<br />";
echo '$st_css_colors1[\'color-38\'] = \''. $options1['color-38'].'\'; # Head Home Link Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-41\'] = \''. $options1['color-41'].'\'; # Head Tagline Text'."<br />";
echo '$st_css_colors1[\'color-44\'] = \''. $options1['color-44'].'\'; # Head Search Form Background'."<br />";
echo '$st_css_colors1[\'color-47\'] = \''. $options1['color-47'].'\'; # Head Search Form Background Hover'."<br />";
echo '$st_css_colors1[\'color-50\'] = \''. $options1['color-50'].'\'; # Head Search Form Border All'."<br />";
echo '$st_css_colors1[\'color-51\'] = \''. $options1['color-51'].'\'; # Head Search Form Text'."<br />";
echo '## Main Content ##'."<br />";
echo '$st_css_colors1[\'color-56\'] = \''. $options1['color-56'].'\'; # Main Content Background Gradient 1'."<br />";
echo '$st_css_colors1[\'color-59\'] = \''. $options1['color-59'].'\'; # Main Content Background Gradient 2'."<br />";
echo '$st_css_colors1[\'color-61\'] = \''. $options1['color-61'].'\'; # Main Content Border Top and Bottom'."<br />";
echo '$st_css_colors1[\'color-62\'] = \''. $options1['color-62'].'\'; # Main Content Border Left and Right'."<br />";
echo '$st_css_colors1[\'color-63\'] = \''. $options1['color-63'].'\'; # Main Content Separator Line : Line Between Archived Posts'."<br />";
echo '$st_css_colors1[\'color-65\'] = \''. $options1['color-65'].'\'; # Large Heading Text'."<br />";
echo '$st_css_colors1[\'color-68\'] = \''. $options1['color-68'].'\'; # H* Post Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-71\'] = \''. $options1['color-71'].'\'; # H* Post Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-74\'] = \''. $options1['color-74'].'\'; # Date Area Text'."<br />";
echo '$st_css_colors1[\'color-77\'] = \''. $options1['color-77'].'\'; # Date Area Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-80\'] = \''. $options1['color-80'].'\'; # Date Area Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-83\'] = \''. $options1['color-83'].'\'; # Main Content Text'."<br />";
echo '$st_css_colors1[\'color-86\'] = \''. $options1['color-86'].'\'; # Main Content H* Headers Text (H1, H2... H6)'."<br />";
echo '$st_css_colors1[\'color-89\'] = \''. $options1['color-89'].'\'; # Main Content Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-92\'] = \''. $options1['color-92'].'\'; # Main Content Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-93\'] = \''. $options1['color-93'].'\'; # Main Content Continue Reading Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-94\'] = \''. $options1['color-94'].'\'; # Main Content Continue Reading Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-95\'] = \''. $options1['color-95'].'\'; # Main Content Blockquote Background'."<br />";
echo '$st_css_colors1[\'color-96\'] = \''. $options1['color-96'].'\'; # Main Content Blockquote Border All'."<br />";
echo '$st_css_colors1[\'color-98\'] = \''. $options1['color-98'].'\'; # Main Content Blockquote Text'."<br />";
echo '$st_css_colors1[\'color-101\'] = \''. $options1['color-101'].'\'; # Main Content Blockquote Cite Text'."<br />";
echo '$st_css_colors1[\'color-104\'] = \''. $options1['color-104'].'\'; # Main Content Code Background'."<br />";
echo '$st_css_colors1[\'color-107\'] = \''. $options1['color-107'].'\'; # Main Content Code Border All'."<br />";
echo '$st_css_colors1[\'color-110\'] = \''. $options1['color-110'].'\'; # Main Content Code Text'."<br />";
echo '$st_css_colors1[\'color-113\'] = \''. $options1['color-113'].'\'; # Main Content Pre Background'."<br />";
echo '$st_css_colors1[\'color-114\'] = \''. $options1['color-114'].'\'; # Main Content Pre Border All'."<br />";
echo '$st_css_colors1[\'color-116\'] = \''. $options1['color-116'].'\'; # Main Content Pre Text'."<br />";
echo '$st_css_colors1[\'color-119\'] = \''. $options1['color-119'].'\'; # Main Comment Button Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-122\'] = \''. $options1['color-122'].'\'; # Main Comment Button Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-123\'] = \''. $options1['color-123'].'\'; # Main Comment Button Links Background'."<br />";
echo '$st_css_colors1[\'color-124\'] = \''. $options1['color-124'].'\'; # Main Comment Button Links Background Hover'."<br />";
echo '$st_css_colors1[\'color-125\'] = \''. $options1['color-125'].'\'; # Main Comment Button Links Border All'."<br />";
echo '$st_css_colors1[\'color-126\'] = \''. $options1['color-126'].'\'; # Main Comment Button Links Border All Hover'."<br />";
echo '## Images ##'."<br />";
echo '$st_css_colors1[\'color-131\'] = \''. $options1['color-131'].'\'; # Gallery HoverOver Caption Background'."<br />";
echo '$st_css_colors1[\'color-134\'] = \''. $options1['color-134'].'\'; # Gallery HoverOver Caption Text'."<br />";
echo '$st_css_colors1[\'color-137\'] = \''. $options1['color-137'].'\'; # Image Caption Background'."<br />";
echo '$st_css_colors1[\'color-140\'] = \''. $options1['color-140'].'\'; # Image Caption Border'."<br />";
echo '$st_css_colors1[\'color-143\'] = \''. $options1['color-143'].'\'; # Image Caption Text'."<br />";
echo '$st_css_colors1[\'color-146\'] = \''. $options1['color-146'].'\'; # Image Caption Anchor Text'."<br />";
echo '$st_css_colors1[\'color-149\'] = \''. $options1['color-149'].'\'; # Image Caption Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-152\'] = \''. $options1['color-152'].'\'; # Caption Image Link Hover Background'."<br />";
echo '$st_css_colors1[\'color-155\'] = \''. $options1['color-155'].'\'; # Caption Image Link Hover Border'."<br />";
echo '$st_css_colors1[\'color-158\'] = \''. $options1['color-158'].'\'; # Image Border'."<br />";
echo '$st_css_colors1[\'color-161\'] = \''. $options1['color-161'].'\'; # Image Link Hover Background'."<br />";
echo '$st_css_colors1[\'color-164\'] = \''. $options1['color-164'].'\'; # Image Link Hover Border'."<br />";
echo '## Featured Slider ##'."<br />";
echo '$st_css_colors1[\'color-186\'] = \''. $options1['color-186'].'\'; # Slider Main Background'."<br />";
echo '$st_css_colors1[\'color-190\'] = \''. $options1['color-190'].'\'; # Slider Main Border'."<br />";
echo '$st_css_colors1[\'color-191\'] = \''. $options1['color-191'].'\'; # Inner Text Background'."<br />";
echo '$st_css_colors1[\'color-192\'] = \''. $options1['color-192'].'\'; # Inner Text'."<br />";
echo '$st_css_colors1[\'color-195\'] = \''. $options1['color-195'].'\'; # Inner Link Anchor Text'."<br />";
echo '$st_css_colors1[\'color-198\'] = \''. $options1['color-198'].'\'; # Inner Link Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-200\'] = \''. $options1['color-200'].'\'; # Bottom Button'."<br />";
echo '$st_css_colors1[\'color-201\'] = \''. $options1['color-201'].'\'; # Bottom Button Hover'."<br />";
echo '$st_css_colors1[\'color-202\'] = \''. $options1['color-202'].'\'; # Bottom Button Border'."<br />";
echo '$st_css_colors1[\'color-203\'] = \''. $options1['color-203'].'\'; # Bottom Button Border Hover'."<br />";
echo '$st_css_colors1[\'color-204\'] = \''. $options1['color-204'].'\'; # Bottom Button Arrow'."<br />";
echo '$st_css_colors1[\'color-205\'] = \''. $options1['color-205'].'\'; # Bottom Button Arrow Hover'."<br />";
echo '## Miscellaneous ##'."<br />";
echo '$st_css_colors1[\'color-214\'] = \''. $options1['color-214'].'\'; # Next - Prev Navigation Border'."<br />";
echo '$st_css_colors1[\'color-217\'] = \''. $options1['color-217'].'\'; # Next - Prev Navigation Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-220\'] = \''. $options1['color-220'].'\'; # Next - Prev Navigation Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-223\'] = \''. $options1['color-223'].'\'; # Scroll Top/Bottom Arrows'."<br />";
echo '$st_css_colors1[\'color-226\'] = \''. $options1['color-226'].'\'; # Scroll Top/Bottom Arrows Hover'."<br />";
echo '## Author Biography Box ##'."<br />";
echo '$st_css_colors1[\'color-244\'] = \''. $options1['color-244'].'\'; # Background Gradient 1'."<br />";
echo '$st_css_colors1[\'color-247\'] = \''. $options1['color-247'].'\'; # Background Gradient 2'."<br />";
echo '$st_css_colors1[\'color-250\'] = \''. $options1['color-250'].'\'; # Border All'."<br />";
echo '$st_css_colors1[\'color-253\'] = \''. $options1['color-253'].'\'; # Text'."<br />";
echo '$st_css_colors1[\'color-256\'] = \''. $options1['color-256'].'\'; # Anchor Text'."<br />";
echo '$st_css_colors1[\'color-259\'] = \''. $options1['color-259'].'\'; # Anchor Text Hover'."<br />";
echo '## Widgets ##'."<br />";
echo '$st_css_colors1[\'color-289\'] = \''. $options1['color-289'].'\'; # Widget Border All'."<br />";
echo '$st_css_colors1[\'color-292\'] = \''. $options1['color-292'].'\'; # Widget Heading Background'."<br />";
echo '$st_css_colors1[\'color-293\'] = \''. $options1['color-293'].'\'; # Widget Heading Top and Bottom Border'."<br />";
echo '$st_css_colors1[\'color-295\'] = \''. $options1['color-295'].'\'; # Widget Background'."<br />";
echo '$st_css_colors1[\'color-298\'] = \''. $options1['color-298'].'\'; # Widget Heading Text'."<br />";
echo '$st_css_colors1[\'color-301\'] = \''. $options1['color-301'].'\'; # Widget Text'."<br />";
echo '$st_css_colors1[\'color-304\'] = \''. $options1['color-304'].'\'; # Widget Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-307\'] = \''. $options1['color-307'].'\'; # Widget Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-310\'] = \''. $options1['color-310'].'\'; # Widget Heading Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-313\'] = \''. $options1['color-313'].'\'; # Widget Heading Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-314\'] = \''. $options1['color-314'].'\'; # Search Widget Button Background'."<br />";
echo '$st_css_colors1[\'color-315\'] = \''. $options1['color-315'].'\'; # Search Widget Button Border All'."<br />";
echo '$st_css_colors1[\'color-316\'] = \''. $options1['color-316'].'\'; # Search Widget Button Go Text'."<br />";
echo '$st_css_colors1[\'color-317\'] = \''. $options1['color-317'].'\'; # Search Widget Button Background Hover'."<br />";
echo '$st_css_colors1[\'color-318\'] = \''. $options1['color-318'].'\'; # Search Widget Button Border All Hover'."<br />";
echo '$st_css_colors1[\'color-319\'] = \''. $options1['color-319'].'\'; # Search Widget Button Text Hover'."<br />";
echo '## Comments ##'."<br />";
echo '$st_css_colors1[\'color-346\'] = \''. $options1['color-346'].'\'; # Comment Main Headings Text'."<br />";
echo '$st_css_colors1[\'color-349\'] = \''. $options1['color-349'].'\'; # Comment Form Input Box Background'."<br />";
echo '$st_css_colors1[\'color-352\'] = \''. $options1['color-352'].'\'; # Comment Form Input Box Background Hover'."<br />";
echo '$st_css_colors1[\'color-355\'] = \''. $options1['color-355'].'\'; # Comment Form Input Box Border All'."<br />";
echo '$st_css_colors1[\'color-358\'] = \''. $options1['color-358'].'\'; # Comment Form Input Box Border All Hover'."<br />";
echo '$st_css_colors1[\'color-359\'] = \''. $options1['color-359'].'\'; # Comment Form Text Labels (Name, Mail...) (Typed Text)'."<br />";
echo '$st_css_colors1[\'color-360\'] = \''. $options1['color-360'].'\'; # Comment Form Text (Typed Text)'."<br />";
echo '$st_css_colors1[\'color-361\'] = \''. $options1['color-361'].'\'; # Comment Submit Button Background'."<br />";
echo '$st_css_colors1[\'color-362\'] = \''. $options1['color-362'].'\'; # Comment Submit Button Border All'."<br />";
echo '$st_css_colors1[\'color-363\'] = \''. $options1['color-363'].'\'; # Comment Submit Button Text'."<br />";
echo '$st_css_colors1[\'color-364\'] = \''. $options1['color-364'].'\'; # Comment Submit Button Background Hover'."<br />";
echo '$st_css_colors1[\'color-365\'] = \''. $options1['color-365'].'\'; # Comment Submit Button Border All Hover'."<br />";
echo '$st_css_colors1[\'color-366\'] = \''. $options1['color-366'].'\'; # Comment Submit Button Text Hover'."<br />";
echo '$st_css_colors1[\'color-367\'] = \''. $options1['color-367'].'\'; # Even Comments Background'."<br />";
echo '$st_css_colors1[\'color-370\'] = \''. $options1['color-370'].'\'; # Even Comments Text'."<br />";
echo '$st_css_colors1[\'color-373\'] = \''. $options1['color-373'].'\'; # Odd Comments Background'."<br />";
echo '$st_css_colors1[\'color-376\'] = \''. $options1['color-376'].'\'; # Odd Comments Text'."<br />";
echo '$st_css_colors1[\'color-379\'] = \''. $options1['color-379'].'\'; # Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-382\'] = \''. $options1['color-382'].'\'; # Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-385\'] = \''. $options1['color-385'].'\'; # Comment Title Text (Comments with Titles)'."<br />";
echo '$st_css_colors1[\'color-388\'] = \''. $options1['color-388'].'\'; # H* Headers Text (H1, H2... H6)'."<br />";
echo '$st_css_colors1[\'color-391\'] = \''. $options1['color-391'].'\'; # Comment Blockquote Background'."<br />";
echo '$st_css_colors1[\'color-392\'] = \''. $options1['color-392'].'\'; # Comment Blockquote Border All'."<br />";
echo '$st_css_colors1[\'color-394\'] = \''. $options1['color-394'].'\'; # Comment Blockquote Text'."<br />";
echo '$st_css_colors1[\'color-397\'] = \''. $options1['color-397'].'\'; # Comment Blockquote Cite Text'."<br />";
echo '$st_css_colors1[\'color-400\'] = \''. $options1['color-400'].'\'; # Comment Code Background'."<br />";
echo '$st_css_colors1[\'color-403\'] = \''. $options1['color-403'].'\'; # Comment Code Text'."<br />";
echo '$st_css_colors1[\'color-406\'] = \''. $options1['color-406'].'\'; # Comment Code Border All'."<br />";
echo '$st_css_colors1[\'color-409\'] = \''. $options1['color-409'].'\'; # Comment Pre Background'."<br />";
echo '$st_css_colors1[\'color-410\'] = \''. $options1['color-410'].'\'; # Comment Pre Border All'."<br />";
echo '$st_css_colors1[\'color-412\'] = \''. $options1['color-412'].'\'; # Comment Pre Text'."<br />";
echo '$st_css_colors1[\'color-413\'] = \''. $options1['color-413'].'\'; # Individual Comments Outer Border Top'."<br />";
echo '$st_css_colors1[\'color-414\'] = \''. $options1['color-414'].'\'; # Individual Comments Outer Border Bottom'."<br />";
echo '$st_css_colors1[\'color-415\'] = \''. $options1['color-415'].'\'; # Individual Comments Outer Border Left and Right'."<br />";
echo '$st_css_colors1[\'color-418\'] = \''. $options1['color-418'].'\'; # Individual Comments Inner Border All'."<br />";
echo '$st_css_colors1[\'color-421\'] = \''. $options1['color-421'].'\'; # Admin Individual Comments Inner Border All'."<br />";
echo '## Footer ##'."<br />";
echo '$st_css_colors1[\'color-454\'] = \''. $options1['color-454'].'\'; # Footer Background'."<br />";
echo '$st_css_colors1[\'color-457\'] = \''. $options1['color-457'].'\'; # Footer Top and Bottom Border'."<br />";
echo '$st_css_colors1[\'color-460\'] = \''. $options1['color-460'].'\'; # Footer Text'."<br />";
echo '$st_css_colors1[\'color-463\'] = \''. $options1['color-463'].'\'; # Footer Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-466\'] = \''. $options1['color-466'].'\'; # Footer Links Anchor Text Hover'."<br />";
echo '## Navigation Menu Desktop : 800px Plus Screens ##'."<br />";
echo '$st_css_colors1[\'color-491\'] = \''. $options1['color-491'].'\'; # Menu Top Line - Background Gradient 1'."<br />";
echo '$st_css_colors1[\'color-494\'] = \''. $options1['color-494'].'\'; # Menu Top Line - Background Gradient 2'."<br />";
echo '$st_css_colors1[\'color-497\'] = \''. $options1['color-497'].'\'; # Menu Top Line - Hover Background Gradient 1'."<br />";
echo '$st_css_colors1[\'color-500\'] = \''. $options1['color-500'].'\'; # Menu Top Line - Hover Background Gradient 2'."<br />";
echo '$st_css_colors1[\'color-503\'] = \''. $options1['color-503'].'\'; # Menu Top Line - DropDown Top Background'."<br />";
echo '$st_css_colors1[\'color-506\'] = \''. $options1['color-506'].'\'; # Menu Top Line - Right Border'."<br />";
echo '$st_css_colors1[\'color-509\'] = \''. $options1['color-509'].'\'; # Menu Top Line - Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-515\'] = \''. $options1['color-515'].'\'; # Menu Top Line - Links Anchor Text Hover'."<br />";
echo '$st_css_colors1[\'color-516\'] = \''. $options1['color-516'].'\'; # Menu Top Line - Right Border Hover'."<br />";
echo '$st_css_colors1[\'color-518\'] = \''. $options1['color-518'].'\'; # Menu DropDown - Background'."<br />";
echo '$st_css_colors1[\'color-521\'] = \''. $options1['color-521'].'\'; # Menu DropDown - Border All'."<br />";
echo '$st_css_colors1[\'color-524\'] = \''. $options1['color-524'].'\'; # Menu DropDown - Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-527\'] = \''. $options1['color-527'].'\'; # Menu DropDown - Background Hover'."<br />";
echo '$st_css_colors1[\'color-530\'] = \''. $options1['color-530'].'\'; # Menu DropDown - Links Anchor Text Hover'."<br />";
echo '## Navigation Menu Mobile ##'."<br />";
echo '$st_css_colors1[\'color-554\'] = \''. $options1['color-554'].'\'; # Menu Top Line - Background Gradient 1'."<br />";
echo '$st_css_colors1[\'color-557\'] = \''. $options1['color-557'].'\'; # Menu Top Line - Background Gradient 2'."<br />";
echo '$st_css_colors1[\'color-560\'] = \''. $options1['color-560'].'\'; # Menu DropDown - Background'."<br />";
echo '$st_css_colors1[\'color-563\'] = \''. $options1['color-563'].'\'; # Menu DropDown - Background Hover'."<br />";
echo '$st_css_colors1[\'color-566\'] = \''. $options1['color-566'].'\'; # Menu DropDown - Bottom Borders'."<br />";
echo '$st_css_colors1[\'color-569\'] = \''. $options1['color-569'].'\'; # Menu DropDown - Links Anchor Text'."<br />";
echo '$st_css_colors1[\'color-572\'] = \''. $options1['color-572'].'\'; # Menu DropDown - Links Anchor Text Hover'."<br />";
echo '## Leave Blank ##'."<br />";
echo '$st_css_colors1[\'css-1\'] = \'\'; # Leave Blank'."<br />";
echo '$st_css_colors1[\'css-2\'] = \'\'; # Leave Blank'."<br />";
echo '## Theme Details ##'."<br />";
echo '$st_css_colors1[\'theme-name-1\'] = \''. $options1['theme-name-1'].'\'; # Theme Name'."<br />";
echo '$st_css_colors1[\'theme-name-2\'] = \''. $options1['theme-name-2'].'\'; # Theme URI'."<br />";
echo '$st_css_colors1[\'theme-name-3\'] = \''. $options1['theme-name-3'].'\'; # Theme Author'."<br />";
echo '$st_css_colors1[\'images-loc\'] = \''. $options1['images-loc'].'\'; # Theme Image Folder'."<br />";
echo '$st_css_colors1[\'theme-filename-css\'] = \''. $options1['theme-filename-css'].'\'; # Theme Filename CSS'."<br />";
echo '$st_css_colors1[\'theme-filename-php\'] = \''. $options1['theme-filename-php'].'\'; # Theme Filename PHP Backup'."<br />";
echo 'update_option(\'str_theme_colors_child\', $st_css_colors1);'."<br />";
echo '}'."<br />";
echo '?&gt;'."<br />";
echo '&lt;?php {st_css_stallion_defaults();} ?&gt;'."<br />";
echo '&lt;?php function st_my_stallion_defaults() {'."<br />";
echo '$themeshort = get_option(\'template\');'."<br />";
echo '########## Reset Color Settings ##########'."<br />";
echo '$st_options7 = get_option(\'theme-\'.$themeshort.\'-colours\');'."<br />";
echo '$st_options7[\'st_theme_colors_csss_child\'] = \'0\';'."<br />";
echo 'update_option(\'theme-\'.$themeshort.\'-colours\', $st_options7);'."<br />";
echo '}'."<br />";
echo '?&gt;'."<br />";
echo '&lt;?php {st_my_stallion_defaults();} ?&gt;'."<br />";
echo '&lt;?php function stchild_my_stallion_defaults() {'."<br />";
echo '########## Reset Child Settings ##########'."<br />";
echo '$st_options8 = get_option(\'theme-\' . st_child_directory() . \'-child\');'."<br />";
echo '$st_options8[\'stchild_theme_colors_csss_child\'] = \'stdefaults\';'."<br />";
echo 'update_option(\'theme-\' . st_child_directory() . \'-child\', $st_options8);'."<br />";
echo '}'."<br />";
echo '?&gt;'."<br />";
echo '&lt;?php {stchild_my_stallion_defaults();} ?&gt;&lt;?php endif; ?&gt;'."<br />";
echo '&lt;?php /* Copy End */ ?&gt;'."<br />";
?></div>
</div>
</div>

<div class="postbox<?php echo $style; ?>" >
<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span>Header Image Colors</span></h3>
<div class="inside">
<?php theme_header_render_page(); ?>
</div>
</div>

<div class="postbox<?php echo $style; ?>" >
<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span>How to Make a Stallion Responsive Child Theme Color Scheme</span></h3>
<div class="inside">
<p>Creating a new Stallion Responsive Color Scheme has been made very easy with this new feature (you don't have to understand CSS or PHP), go to "Stallion Theme > Color Options" page and set "Stallion Theme Color Scheme" to "Empty". This loads an empty Color CSS file (basically an empty file) and will 'break' this sites colors (the layout will still work, but all theme colors and the mobile menu image will be missing and Stallion will use the colors set below). It's important to set the Color scheme to Empty so the only colors loaded are those you set below (easy to see when something looks rubbish :-)). You might have to disable any caching plugins during the editing as you don't want to keep loading an old cache.</p>
<p>Spend many, many, many hours (not exaggerating, takes a long time) clicking and testing various color settings below until you have the colors you desire. Depending on your site you may find many of the settings don't appear to do anything (if your site has no posts with Galleries there's no way to test the Gallery relevant CSS). If you want to be able to test everything take a look at <a href="http://codex.wordpress.org/Theme_Unit_Test" target="_blank">Theme Unit Tests</a> and <a href="http://wordpress-test.xllx-inc.com/multiple-markup-tests/" target="_blank">Test Site 1</a> and <a href="http://wordpress-test2.xllx-inc.com/multiple-markup-tests/" target="_blank">Test Site 2</a>. Test Site 1 and 2 shows many of the WordPress Markup Tests on one page (I copied the content from multiple tests to a single post). Both test sites were used by myself and my wife to create the current built in color schemes.</p>
<p>Every setting is important, if you don't change a setting the defaults will be used which you can see on the right color box. The defaults are basic, most text and borders are black, most backgrounds are white and link anchor text is blue with red as hoverover: simple colors so easy to track what's not been changed. Easiest way to make a new color scheme is choose a current built in color scheme that's closest to what you want, load it's backup data and edit it. For dark schemes I find the Black N Green a good starting point and for light schemes White N blue.</p>
<h4>Adding to a Color CSS file</h4>
<p>There's a few ways to add your generated CSS code to Stallion Responsive, which way you use depends on what you plan to do with the new color scheme. If all you plan to do is use it on your sites and have no interest is allowing others access etc... simplest way to use the code generated below is add it to a file called <strong>style-custom-01.css</strong> and add it to either the folder "/wp-content/themes/stallion-responsive/colors/" (that's the main Stallion Responsive Theme folder) or to "/wp-content/themes/stallion-responsive-child/colors/" (Stallion Responsive Child Theme folder) and select it as the Stallion Color scheme under Stallion Theme > Color Options : Stallion Theme Color Scheme - Custom 01</p>
<p>You can add up to 5 custom color schemes (20 if you use the Responsive Child Theme) this way using files style-custom-01.css, style-custom-02.css, style-custom-03.css... style-custom-20.css</p>
<p>See later about making a backup of your settings below for future editing.</p>
<p>If you want to give others access to your awesome new color scheme as a Stallion Child Theme, there's two ways to achieve this.</p>
<p>1. Edit the Free Stallion Responsive Child Theme and add your color schemes(s) (it's not as hard as it sounds: details are within the file "/wp-content/themes/stallion-responsive-child/st_responsive_child.php") so you and others not only have access to the current free child theme features (there's a LOT of free header images etc...) they have access to yours as well. Using this option means you can add an almost unlimited number of new color schemes.</p>
<p>2. Create a new Stallion Child Theme using the free empty child theme (the empty child theme will be available soon: it's basically the Free Stallion Responsive Child Theme with no header images etc...). I'd suggest this option if you plan to add your own header images etc... and plan to sell the child theme.</p>
<h4>Color Scheme Images</h4>
<p>Stallion color schemes use one unique theme image (mobile.png) for the mobile responsive menu (this image is visible when screen size is below 800px), the CSS code generated below references the image 4 times. You'll find the image in the folder "/wp-content/themes/stallion-responsive/colors/images/", there's a copy of this image within the child theme as well at "/wp-content/themes/stallion-responsive-child/colors/images/" which can be copied and modified to your needs (change it's color to match your color scheme).</p>
<p>During the testing phase the CSS code is loaded inline which means the CSS references to mobile.png do not work. So please be aware nothing is broken and when you copy the CSS rules to a CSS file within the theme (child theme) "/colors/" folder they will load the default image found within "/colors/images/"</p>
<p>The default mobile.png image within "wp-content/themes/stallion-responsive/colors/images/" is grey in color. You will find the same image in different colors within the folders found in "wp-content/themes/stallion-responsive/colors/images/" feel free to use them for your color schemes. If you use a different color mobile.png image you will need to reference it's location in the "Theme Image Folder" form box below.</p>
<p>If you've gone with the style-custom-01.css options I suggest copying the mobile.png image you want to use into the folder "/custom-01/" and set "Theme Image Folder" to "images/custom-01/".</p>
<p>This will allow you to use different images for each of the 20 custom CSS files.</p>
<p>If you've gone with adding your new color scheme to a child theme I suggest choosing a relevant name for the CSS file and it's image folder. For example if you've named your color scheme "Bob Blue" you might call the css file "style-bob-blue.css" and the folder "/bob-blue/" (makes things easier to track using the same name).</p>
<p>Your "style-bob-blue.css" file would be within the folder "/wp-content/themes/stallion-responsive-child/colors/style-bob-blue.css" and your image folder within "/wp-content/themes/stallion-responsive-child/colors/images/bob-blue/" and set "Theme Image Folder" to "images/bob-blue/".</p>
<p>I appreciate this sounds complicated, but it isn't. Take a look at a CSS files like "wp-content/themes/stallion-responsive/colors/style-white-n-blue.css" and it's image "/wp-content/themes/stallion-responsive-child/colors/images/white-n-blue/" and you will see it uses the format described above: in fact I made all the color CSS files using this feature so they all have the exact same format.</p>
<h4>Mobile Responsive CSS</h4>
<p>Stallion Responsive includes a CSS file "/wp-content/themes/stallion-responsive/colors/mobile.css" which includes CSS rules for mobile devices, there are no color options within this file, it's layout based CSS so has no impact on generating a new color CSS file. However you will find during the testing process some of the mobile CSS won't work correctly. This is because the CSS rules that are loaded inline during the testing phase are loaded after the mobile.css file and CSS rules are acted on as they are read and the mobile rules should be run last. If you are an OCD tester (everything has to be perfect) there's a solution, copy the entire contents of the mobile.css file into the Custom CSS box below and they will be loaded last after your new color CSS rules, but it's not needed to test your new color selections before adding them to a CSS file for live use.</p>
</div>
</div>

<div style="float: left; position: relative; line-height: 20px; font-size:12px; color: #777777; margin-bottom:10px;">Stallion Color Styles Options page based on options page created by <a href="http://digitalraindrops.net/">Digital Raindrops</a></div>
</div>
</form> 
</div>
<?php
}

function theme_header_render_page() {
$header_image = get_header_image();
if(!$header_image) return ""; 
$colorArray = array();
$colorArray = drc_get_colors( $header_image, true ); 
?>

<table class="form-table">
<tr valign="top"><th scope="row" style="width: 150px;"></label></th>
<td>
<div class="aligncenter" style="dispay: block; width: 580px;">
<img class="aligncenter" src=<?php echo $header_image; ?> width = 560 height = 120 ></img>
<p>The colors below have been extracted from the image above and weighted and sorted by the number of instances, starting with the top color which is the <strong>most used pixel</strong> in the small header image, down to the twentieth, Darker and Lighter Colors are calculated from the <strong>Original Column</strong>, and the Complementary Colors are the 180 Degrees Opposite Hue value.</p>
<p>The Neutrals are the blacks, greys and whites found in the image, these could be used for text colors.</p>
<p>The image changes when you reload the page if you have Random selected under Appearance > Headers. If the image selected is greyscale no colors will be found, if you have WP Debug ON this will throw out some PHP warnings (nothing to worry about).</p>
<div class="block-title">Darker</div>
<div class="block-title">Original</div>
<div class="block-title">Lighter</div>
<div class="block-title">Complement</div>
<div class="block-title">Neutrals</div>
<?php
for($counter=0; $counter<20; $counter++) {
$color[0]= $colorArray['dark'][$counter];
$color[1]= $colorArray['average'][$counter];
$color[2]= $colorArray['bright'][$counter];
$color[3]= $colorArray['complementary'][$counter];
$color[4]= isset($colorArray['greys'][$counter]) ? $colorArray['greys'][$counter] : null;
for ($i=0; $i<5; $i++) {
?>
<?php if($color[$i]) :?>
<div class="color-block" style="background: #<?php echo $color[$i]; ?>"></div>
<?php else: ?>
<div class="color-block" style="border-color: transparent;"></div>
<?php endif;
}
//Text
for ($i=0; $i<5; $i++) {
?>
<?php if($color[$i]) :?>
<div class="color-text">#<?php echo $color[$i]; ?></div>
<?php else: ?>
<div class="color-text" style="border-color: transparent;"></div>
<?php endif;
}

} ?>
</div>
</td>
</tr>
</table>
<?php
}

function str_theme_colors_validate( $input ) {
 global $color_options;
$color_scheme = 'dark';
$color_options = st_color_options();
foreach($color_options as $the_option) {
$option_type = $the_option["type"];
$color_default="";
switch ($option_type) {

case 'color':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
$input[$id] = str_valid_color( $input[$id] );
if (!$input[$id]) {
$color_default=( 'dark' == $color_scheme )? $the_option['dark'] : $the_option['light'];
$input[$id] = $color_default;
}
break;

case 'textarea':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
$input[$id] = trim( wp_filter_post_kses( $input[$id] ) );
break;

case 'text':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
break;

}
}
$input = str_theme_color_styles( $input );
return $input;
}

function str_valid_color($hex){
if (substr($hex, 0 , 1) == '#') $hex = substr($hex, 1);
if(strlen($hex) != 6 && strlen($hex) != 3 && isset($hex) || !preg_match("/^[A-F0-9]+$/i",$hex) && isset($hex)) {
return "";
}else {
return '#' .$hex;
}
}
function str_default_color( $which, $hex ) {
 global $color_options;
$color_scheme = 'dark';
$color_options = st_color_options();
$value=$color_options[$which];
		$value['dark'] = '';
$color_default=( 'dark' == $color_scheme )?  $value['dark'] : $value['light'];
return ( $color_default == $hex );
}

get_template_part( 'plugins/colors_css/colors_css_output_creator' );

function str_get_theme_colors() {
return get_option('str_theme_colors_child');
}
function str_print_color_style() {
$settings = str_get_theme_colors();
if(!$settings['css-2']) return;
?>
<style>
<?php echo $settings['css-2']; ?>
</style>
<?php
}
add_action( 'wp_head', 'str_print_color_style', 7 );
?>