<?php
function str_admin_enqueue_scripts( $hook_suffix ) {
wp_enqueue_style( 'farbtastic' );
wp_admin_css( 'dashboard' );
wp_enqueue_style( 'drtc-theme-colors', get_template_directory_uri() . '/plugins/colors_css/theme-colors.css', false, '2011-04-28' );
wp_enqueue_script( 'drtc-theme-colors', get_template_directory_uri() . '/plugins/colors_css/theme-colors.js', array( 'farbtastic' ), '2011-06-10' );
wp_enqueue_script( 'dashboard' );
}
add_action( 'admin_print_styles-appearance_page_theme_colors', 'str_admin_enqueue_scripts' );

function str_theme_colors_init() {
if ( false === str_get_theme_colors() )
add_option( 'str_theme_colors', str_get_default_theme_colors() );

register_setting(
'str_colors',
'str_theme_colors',
'str_theme_colors_validate'
);
}
add_action( 'admin_init', 'str_theme_colors_init' );

/* Add our theme colors page to the admin menu */
function str_theme_colors_add_page() {
$color_page = add_theme_page(
__( 'Stallion Color Scheme CSS Inline', 'stallion' ),
__( 'Color Scheme CSS Inline', 'stallion' ),
'edit_theme_options',
'theme_colors',
'theme_colors_render_page'
);
}
add_action( 'admin_menu', 'str_theme_colors_add_page' );

get_template_part( 'plugins/colors_css/colors_css_array_inline' );

/**
 * Returns the default colors.
 * @since 8.0
 */
function str_get_default_theme_colors() {
$defaults = array(
"color-1" => '',
"css-1" => '',
"css-2" => '',
);
return $defaults;
}

function theme_colors_render_page() {
?>
<div class="wrap">
<?php screen_icon(); ?>
<br />
<div class='postbox-container' style='width:750px;'>
<div class="postbox" >
<div class="handlediv" title="Click to toggle"><br /></div><h2 class='hndle'><span>&nbsp;&nbsp;Stallion Responsive Color Scheme Inline Overrides</span></h2>
<div class="inside">
<p>Use the options below to change colors and fonts sitewide, although you could change all the settings below it's basically an options page for changing a small number (below 30) settings. For larger changes create a new Stallion Responsive Color Scheme using the "Color Scheme CSS File Creator"** with which you can change ALL colors and fonts and save them as either custom color sets or <a href="http://stallion-theme.co.uk/stallion-responsive-child-theme/" target="_blank">Stallion Responsive Child Theme</a> Color Schemes.</p>
<p>**Turn the "Color Scheme CSS File Creator" ON under "Stallion Theme > Color Options : Color Scheme CSS Inline/File Creator Selector - Color Scheme CSS File Creator ON". This feature loads a page similar to this one, but is used to add the colors you select to a CSS file rather than add them inline.</p>
<p>Please note colors set here will override ALL Stallion color schemes, which means if you select a Stallion color scheme under the Post edit screen for a particular post (every post can have a different color scheme) the settings below will override it's colors. For example if you set the main color scheme to Black N Red and have a few posts using the White N Blue color scheme, changing text colors below to light colors that work in the dark Black N Red color scheme will not work in the light White N Blue color scheme.</p>
<p>Solution is create a Stallion Child Color CSS or Custom Color CSS file using the "Color Scheme CSS File Creator" (as described above).</p>
<?php settings_errors(); ?>
</div>
</div>
</div>
<form method="post" action="options.php">
<?php
settings_fields( 'str_colors' );
$settings = str_get_theme_colors();
 global $color_options;
$color_scheme = 'dark';
$style = "";
?>
<div class='postbox-container' style='width:750px;'>
<?php 
$color_options = st_color_options();
foreach ($color_options as $value) {
$default="";
switch ( $value['type'] ) {

case "section":
?>

<div class="postbox<?php echo $style; ?>">
<div class="handlediv" title="Click to toggle">
<br>
</div>
<h3 class="hndle"><span><?php echo $value['name']; ?></span></h3>
<h3 class="hndle"><span><?php echo $value['desc']; ?></span></h3>
<div class="inside">

<?php $style=""; ?>
<?php break; ?>
<?php case "color": ?>
<?php $id=$value['id']; ?>
<?php $swatch='swatch-' .$value['index']; ?>
<?php $picker='colorPickerDiv-' .$value['index']; ?>
<?php $color_default=( 'dark' == $color_scheme )? $value['dark'] : $value['light']; ?>
<?php $theme_color = ( $settings[$id] ) ? $settings[$id] : $color_default; ?>
<fieldset>
<label for="str_theme_colors[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<input type="text" name="str_theme_colors[<?php echo $id;?>]" id="<?php echo $id;?>" style="width:80px;" maxlength="7" value="<?php echo $theme_color; ?>" />
<a href="#" class="pickcolor color-swatch" style="background: <?php echo $theme_color; ?>;" name="<?php echo $value['index']; ?>" id="<?php echo $swatch;?>"></a>
<input type="button" class="pickcolor color-button hide-if-no-js" style="margin-right:20px;" name="<?php echo $value['index']; ?>" value="<?php esc_attr_e( 'Select a Color', 'stallion' ); ?>" />
<input type="button" class="defaultcolor color-button" name="<?php echo $value['index']; ?>" title="<?php echo $color_default; ?>" value="<?php esc_attr_e( 'Reset', 'stallion' ); ?>" />
<div id="<?php echo $picker;?>" style="z-index: 100; background:#eee; border:1px solid #ccc; position:absolute; display:none;"></div>
</fieldset>
<?php break; ?>
<?php case "textarea": ?>
<?php $id=$value['id']; ?>
<fieldset>
<label for="str_theme_colors[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<textarea name="str_theme_colors[<?php echo $value["id"]; ?>]" cols="1" rows="1" ><?php if ( isset( $settings[$id] ) && $settings[$id] ) { echo $settings[$id] ; } else { echo $value['default']; } ?></textarea><?php echo $value['desc'];?><br /><br />
<div class="clearfix"></div>
</fieldset>
<?php break; ?>
<?php case "text": ?>
<?php $id=$value['id']; ?>
<fieldset>
<label for="str_theme_colors[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<input type="text" name="str_theme_colors[<?php echo $value["id"]; ?>]" id="str_theme_colors[<?php echo $value["id"]; ?>]" value="<?php if ( isset( $settings[$id] ) && $settings[$id] ) { echo $settings[$id] ; } else { echo $value['default']; } ?>" style="width:500px;" />
<br /><?php echo $value['desc'];?><br /><br />
<div class="clearfix"></div>
</fieldset>
<?php break; ?>
<?php case "blank": break; ?>
<?php case "infobox": ?>
<span><?php echo $value['desc']; ?></span>
<div class="clearfix"></div>
<?php break; ?>
<?php case "close": ?>
<?php submit_button(); ?>
</div>
</div>
<?php
break;
}
} ?>
<div class="postbox<?php echo $style; ?>" >
<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span>Header Image Colors</span></h3>
<div class="inside">
<?php theme_header_render_page(); ?>
</div>
</div>
<div style="float: left; position: relative; line-height: 20px; font-size:12px; color: #777777; margin-bottom:10px;">Stallion Color Styles Options page based on options page created by <a href="http://digitalraindrops.net/">Digital Raindrops</a></div>
</div>
</form> 
</div>
<?php
}

function theme_header_render_page() {
$header_image = get_header_image();
if(!$header_image) return ""; 
$colorArray = array();
$colorArray = drc_get_colors( $header_image, true ); 
?>

<table class="form-table">
<tr valign="top"><th scope="row" style="width: 150px;"></label></th>
<td>
<div class="aligncenter" style="dispay: block; width: 580px;">
<img class="aligncenter" src=<?php echo $header_image; ?> width = 560 height = 120 ></img>
<p>The colors below have been extracted from the image above and weighted and sorted by the number of instances, starting with the top color which is the <strong>most used pixel</strong> in the small header image, down to the twentieth, Darker and Lighter Colors are calculated from the <strong>Original Column</strong>, and the Complementary Colors are the 180 Degrees Opposite Hue value.</p>
<p>The Neutrals are the blacks, greys and whites found in the image, these could be used for text colors.</p>
<p>The image changes when you reload the page if you have Random selected under Appearance > Headers. If the image selected is greyscale no colors will be found, if you have WP Debug ON this will throw out some PHP warnings (nothing to worry about).</p>
<div class="block-title">Darker</div>
<div class="block-title">Original</div>
<div class="block-title">Lighter</div>
<div class="block-title">Complement</div>
<div class="block-title">Neutrals</div>
<?php
for($counter=0; $counter<20; $counter++) {
$color[0]= $colorArray['dark'][$counter];
$color[1]= $colorArray['average'][$counter];
$color[2]= $colorArray['bright'][$counter];
$color[3]= $colorArray['complementary'][$counter];
#$color[4]= $colorArray['greys'][$counter];
$color[4]= isset($colorArray['greys'][$counter]) ? $colorArray['greys'][$counter] : null;
for ($i=0; $i<5; $i++) {
?>
<?php if($color[$i]) :?>
<div class="color-block" style="background: #<?php echo $color[$i]; ?>"></div>
<?php else: ?>
<div class="color-block" style="border-color: transparent;"></div>
<?php endif;
}
//Text
for ($i=0; $i<5; $i++) {
?>
<?php if($color[$i]) :?>
<div class="color-text">#<?php echo $color[$i]; ?></div>
<?php else: ?>
<div class="color-text" style="border-color: transparent;"></div>
<?php endif;
}

} ?>
</div>
</td>
</tr>
</table>
<?php
}

function str_theme_colors_validate( $input ) {
 global $color_options;
$color_scheme = 'dark';
$color_options = st_color_options();
foreach($color_options as $the_option) {
$option_type = $the_option["type"];
$color_default="";
switch ($option_type) {

case 'color':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
$input[$id] = str_valid_color( $input[$id] );
if (!$input[$id]) {
$color_default=( 'dark' == $color_scheme )? $the_option['dark'] : $the_option['light'];
$input[$id] = $color_default;
}
break;
 
case 'textarea':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
break;

#case 'text':
#$id = $the_option['id'];
#if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
#break;
}
}
$input = str_theme_color_styles( $input );
return $input;
}

function str_valid_color($hex){
if (substr($hex, 0 , 1) == '#') $hex = substr($hex, 1);
if(strlen($hex) != 6 && strlen($hex) != 3 && isset($hex) || !preg_match("/^[A-F0-9]+$/i",$hex) && isset($hex)) {
return "";
}else {
return '#' .$hex;
}
}
function str_default_color( $which, $hex ) {
 global $color_options;
$color_scheme = 'dark';
$color_options = st_color_options();
$value=$color_options[$which];
$color_default=( 'dark' == $color_scheme )? $value['dark'] : $value['light'];
return ( $color_default == $hex );
}

get_template_part( 'plugins/colors_css/colors_css_output_inline' );

function str_get_theme_colors() {
return get_option('str_theme_colors');
}

function str_print_color_style() {
$settings = str_get_theme_colors();
if(!$settings['css-2']) return;
?>
<style>
<?php echo $settings['css-2']; ?>
</style>
<?php
}
add_action( 'wp_head', 'str_print_color_style' );
?>