<?php
/* Based on Extended Recent Comments plugin by Louy Alakkad - http://louyblog.wordpress.com/ */
/*
  Copyright (C) 2011 David Law (http://stallion-theme.co.uk/ email davidlseo(at)gmail(dot)com)
 */

function stallion_wseo_init() {
register_widget('Stallion_WSEO_Recent_Comments_Widget');
}

add_action('widgets_init', 'stallion_wseo_init');

class Stallion_WSEO_Recent_Comments_Widget extends WP_Widget {

function Stallion_WSEO_Recent_Comments_Widget() {
$widget_ops = array('classname' => 'stallion_widget_wseo', 'description' => __('Most recent comments, with Gravatars, comment excerpts with no wasted link benefit to author links.', 'stallion'));
#$this->WP_Widget('stallion-wseo-recent-comments', __('Stallion SEO Recent Comments Widget', 'stallion'), $widget_ops);
parent::__construct('stallion-wseo-recent-comments', __('Stallion SEO Recent Comments Widget', 'stallion'), $widget_ops);
$this->alt_option_name = 'stallion_widget_wseo';

if (is_active_widget(false, false, $this->id_base))
add_action('comment_post', array(&$this, 'flush_widget_cache'));
add_action('transition_comment_status', array(&$this, 'flush_widget_cache'));
}

function flush_widget_cache() {
wp_cache_delete('stallion_widget_wseo', 'widget');
}

function widget($args, $instance) {
global $comments, $comment;

$cache = wp_cache_get('stallion_widget_wseo', 'widget');

if (!is_array($cache))
$cache = array();

if (isset($cache[$args['widget_id']])) {
echo $cache[$args['widget_id']];
return;
}

extract($args, EXTR_SKIP);
$output = '';
$title = apply_filters('widget_title', empty($instance['title']) ? __('Recent Comments', 'stallion') : $instance['title']);

if (!$number = (int) $instance['number'])
$number = 5;
else if ($number < 1)
$number = 1;

$size = $instance['size'];
$align = $instance['align'];
$aioseolinkpri = $instance['aioseolinkpri'];
$stcauthor = $instance['stcauthor'];
$comments = get_comments(array(
	'number' => $number,
	'status' => 'approve',
	'type' => 'comment',
	'post_status' => 'publish'
));
$output .= $before_widget;
if ($title)
$output .= $before_title . $title . $after_title;

$output .= '<ul class="stallionseocomments">';
if ($comments) {
foreach ((array) $comments as $comment) {

if (class_exists('GravatarLocalCache')) :
$output .= '
<li class="stallionseocomments2">';
if ($align == '')
($align = 'left');
$output .= '<div class="st_comments_avatar" style="float:' . $align . '; height:' . $size . 'px; width:' . $size . 'px padding:4px;">' . get_avatar($comment, $size,"","*") . '</div>';

else :
$email = $comment->comment_author_email;
$rating = get_option('avatar_rating');
$gravtype = get_option('avatar_default');
$default = urlencode('http://www.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=' . $size);
if ($gravtype == 'mystery')
$grav_url = 'http://www.gravatar.com/avatar/' . md5(strtolower(trim($email))) . '?s=' . $size . '&r=' . $rating . '&d=' . $default;
elseif ($gravtype == 'blank')
$grav_url = "/wp-includes/images/blank.gif";
else
$grav_url = "http://0.gravatar.com/avatar/" . md5(strtolower(trim($email))) . "?s=" . $size . "&amp;d=" . $gravtype . "&amp;r=" . $rating;
$output .= '
<li class="stallionseocomments2">';
if ($align == '')
($align = 'left');
$output .= '<div class="st_comments_avatar" style="float:' . $align . '; height:' . $size . 'px; width:' . $size . 'px; background: url(' . $grav_url . ') no-repeat;"></div>';
endif;

if ($aioseolinkpri == '_aioseop_none'):
$st_seotitle = get_the_title($comment->comment_post_ID);

elseif ($aioseolinkpri == '_aioseop_panda1') :

if (is_home() || is_front_page()) :
if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($comment->comment_post_ID, '_aioseop_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_title', true);
elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_single() & !is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_page() & !is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_category()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_tag() || is_404()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_search() || is_year() || is_month() || is_day() || is_author()) :
$st_seotitle = get_the_title($comment->comment_post_ID);

else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif ($aioseolinkpri == '_aioseop_panda2') :

if (is_home() || is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_single() & !is_front_page()) :
if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($comment->comment_post_ID, '_aioseop_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_title', true);
elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_page() & !is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_category()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_tag() || is_404()) :
$st_seotitle = get_the_title($comment->comment_post_ID);

elseif (is_search() || is_year() || is_month() || is_day() || is_author()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif ($aioseolinkpri == '_aioseop_panda3') :

if (is_home() || is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_single() & !is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_page() & !is_front_page()) :
if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($comment->comment_post_ID, '_aioseop_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_title', true);
elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_category()) :
$st_seotitle = get_the_title($comment->comment_post_ID);

elseif (is_tag() || is_404()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_search() || is_year() || is_month() || is_day() || is_author()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif ($aioseolinkpri == '_aioseop_panda4') :

if (is_home() || is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_single() & !is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_page() & !is_front_page()) :
$st_seotitle = get_the_title($comment->comment_post_ID);

elseif (is_category()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_tag() || is_404()) :
if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($comment->comment_post_ID, '_aioseop_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_title', true);
elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_search() || is_year() || is_month() || is_day() || is_author()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif ($aioseolinkpri == '_aioseop_panda5') :

if (is_home() || is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_single() & !is_front_page()) :
$st_seotitle = get_the_title($comment->comment_post_ID);

elseif (is_page() & !is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_category()) :
if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($comment->comment_post_ID, '_aioseop_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_title', true);
elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_tag() || is_404()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_search() || is_year() || is_month() || is_day() || is_author()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif ($aioseolinkpri == '_aioseop_panda6') :

if (is_home() || is_front_page()) :
$st_seotitle = get_the_title($comment->comment_post_ID);

elseif (is_single() & !is_front_page()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_page() & !is_front_page()) :
if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($comment->comment_post_ID, '_aioseop_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_title', true);
elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_category()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_tag() || is_404()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (is_search() || is_year() || is_month() || is_day() || is_author()) :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_1', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_kw_4', true);
else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;

elseif (st_seo_data() == '0' && $aioseolinkpri != '_aioseop_title' && get_post_meta($comment->comment_post_ID, $aioseolinkpri, true)):
$st_seotitle = get_post_meta($comment->comment_post_ID, $aioseolinkpri, true);

elseif ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($comment->comment_post_ID, '_aioseop_title', true)):
$st_seotitle = get_post_meta($comment->comment_post_ID, '_aioseop_title', true);

elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true)) :
$st_seotitle = get_post_meta($comment->comment_post_ID, '_yoast_wpseo_title', true);

else :
$st_seotitle = get_the_title($comment->comment_post_ID);
endif;
#$comment = get_comment( $comment_ID );
$comment_text = strip_tags($comment->comment_content);
$blah = explode(' ', $comment_text);
$num_words = $instance['stcexcerpt'];
if (count($blah) > $num_words) {
$k = $num_words;
$use_dotdotdot = 1;
} else {
$k = count($blah);
$use_dotdotdot = 0;
}
$st_get_comment_excerpt = '';
for ($i=0; $i<$k; $i++) {
$st_get_comment_excerpt .= $blah[$i] . ' ';
}
$st_get_comment_excerpt .= ($use_dotdotdot) ? '...' : '';

if ($stcauthor == 'yes') :
$stcauthorout = get_comment_author($comment->comment_ID) . ' - ';
elseif ($stcauthor == 'no') :
$stcauthorout = '';
endif;

$output .= sprintf(__('%2$s &raquo; %1$s', 'stallion'), $st_get_comment_excerpt, '<a href="' . esc_url(get_comment_link($comment->comment_ID)) . '">' . $stcauthorout . $st_seotitle . '</a>');
$output .= '</li>
';
}
}
$output .= '<div class="clear"></div></ul>
';
$output .= $after_widget;

echo $output;
$cache[$args['widget_id']] = $output;
wp_cache_set('stallion_widget_wseo', $cache, 'widget');
}

function update($new_instance, $old_instance) {
$instance = $old_instance;
$instance['title'] = strip_tags($new_instance['title']);
$instance['number'] = (int) $new_instance['number'];
$instance['stcexcerpt'] = (int) $new_instance['stcexcerpt'];
$instance['size'] = ( $new_instance['size'] < 20 ) ? 20 : (int) $new_instance['size'];
$instance['align'] = $new_instance['align'];
$instance['aioseolinkpri'] = $new_instance['aioseolinkpri'];
$instance['stcauthor'] = $new_instance['stcauthor'];

$this->flush_widget_cache();

$alloptions = wp_cache_get('alloptions', 'options');
if (isset($alloptions['stallion_widget_wseo']))
delete_option('stallion_widget_wseo');

return $instance;
}

function form($instance) {
$defaults = array(
'title' => 'Latest Comments',
'number' => '5',
'stcexcerpt' => '10',
'stcauthor' => 'yes',
'size' => '40',
'align' => 'left',
'aioseolinkpri' => '_aioseop_none',
'include' => array(),
);
$instance = wp_parse_args((array) $instance, $defaults);
?>
<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'stallion'); ?>:</label>
<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" />
</p>

<p>
<label for="<?php echo $this->get_field_id('aioseolinkpri'); ?>"><?php _e('Link Anchor Text AIOSEO Priority', 'stallion') ?></label>
<select id="<?php echo $this->get_field_id('aioseolinkpri'); ?>" name="<?php echo $this->get_field_name('aioseolinkpri'); ?>" class="widefat" style="width:100%;">
<option value="_aioseop_none" <?php if ('_aioseop_none' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('Original Post Title Tag', 'stallion'); ?></option>
<option value="_aioseop_title" <?php if ('_aioseop_title' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO or Yoast SEO Title Tag', 'stallion'); ?></option>
<option value="_aioseop_kw_1" <?php if ('_aioseop_kw_1' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Related Keyphrase 1', 'stallion'); ?></option>
<option value="_aioseop_kw_2" <?php if ('_aioseop_kw_2' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Related Keyphrase 2', 'stallion'); ?></option>
<option value="_aioseop_kw_3" <?php if ('_aioseop_kw_3' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Related Keyphrase 3', 'stallion'); ?></option>
<option value="_aioseop_kw_4" <?php if ('_aioseop_kw_4' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Related Keyphrase 4', 'stallion'); ?></option>
<option value="_aioseop_panda1" <?php if ('_aioseop_panda1' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Google Panda Buster 1', 'stallion'); ?></option>
<option value="_aioseop_panda2" <?php if ('_aioseop_panda2' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Google Panda Buster 2', 'stallion'); ?></option>
<option value="_aioseop_panda3" <?php if ('_aioseop_panda3' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Google Panda Buster 3', 'stallion'); ?></option>
<option value="_aioseop_panda4" <?php if ('_aioseop_panda4' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Google Panda Buster 4', 'stallion'); ?></option>
<option value="_aioseop_panda5" <?php if ('_aioseop_panda5' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Google Panda Buster 5', 'stallion'); ?></option>
<option value="_aioseop_panda6" <?php if ('_aioseop_panda6' == $instance['aioseolinkpri']) {
echo "selected='selected'";
} ?>><?php _e('All In One SEO Google Panda Buster 6', 'stallion'); ?></option>
</select>
</p>

<p>
<label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of comments', 'stallion'); ?>:</label>
<input id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $instance['number']; ?>" size="3" />
</p>

<p>
<label for="<?php echo $this->get_field_id('stcauthor'); ?>"><?php _e('Show comment author name', 'stallion') ?></label>
<select id="<?php echo $this->get_field_id('stcauthor'); ?>" name="<?php echo $this->get_field_name('stcauthor'); ?>" class="widefat" style="width:100%;">
<option value="yes" <?php if ('yes' == $instance['stcauthor']) { echo "selected='selected'"; } ?>><?php _e('Yes', 'stallion'); ?></option>
<option value="no" <?php if ('no' == $instance['stcauthor']) { echo "selected='selected'"; } ?>><?php _e('No', 'stallion'); ?></option>
</select>
</p>

<p>
<label for="<?php echo $this->get_field_id('stcexcerpt'); ?>"><?php _e('Number of excerpt words, NOT including Comment Title (if set)', 'stallion'); ?>:</label>
<input id="<?php echo $this->get_field_id('stcexcerpt'); ?>" name="<?php echo $this->get_field_name('stcexcerpt'); ?>" type="text" value="<?php echo $instance['stcexcerpt']; ?>" size="3" />
</p>

<p>
<label for="<?php echo $this->get_field_id('size'); ?>"><?php _e('Gravatar Size', 'stallion'); ?>:</label>
<input id="<?php echo $this->get_field_id('size'); ?>" name="<?php echo $this->get_field_name('size'); ?>" type="text" value="<?php echo $instance['size']; ?>" size="3" />
</p>

<p>
<label for="<?php echo $this->get_field_id('align'); ?>"><?php _e('Gravatar Alignment', 'stallion') ?>:</label>
<select id="<?php echo $this->get_field_id('align'); ?>" name="<?php echo $this->get_field_name('align'); ?>" class="widefat" style="width:100%;">
<option value="left" <?php if ('left' == $instance['align']) {echo "selected='selected'";} ?>><?php _e('Align Left', 'stallion'); ?></option>
<option value="right" <?php if ('right' == $instance['align']) {echo "selected='selected'";} ?>><?php _e('Align Right', 'stallion'); ?></option>
</select>
</p>
<?php } } ?>